This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 841566 - RuntimeError: Error running virt-install: No such file or directory
RuntimeError: Error running virt-install: No such file or directory
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 08:26 EDT by Jan Stodola
Modified: 2012-07-20 20:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: lorax-18.11-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-20 20:51:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2012-07-19 08:26:57 EDT
Description of problem:
Following traceback is shown when running livemedia-creator and python-virtinst is not installed:

[root@melfina live]# livemedia-creator --make-iso --iso live.iso --ks ks.cfg 
2012-07-19 04:11:19,995: disk_size = 1GB
2012-07-19 04:11:19,995: disk_img = /var/tmp/diskABJZvP.img
2012-07-19 04:11:19,995: install_log = /root/live/virt-install.log
Error running virt-install: No such file or directory
2012-07-19 04:11:20,031: Error running virt-install: No such file or directory
Traceback (most recent call last):
  File "/sbin/livemedia-creator", line 780, in <module>
    virtio_port = log_monitor.port )
  File "/sbin/livemedia-creator", line 300, in __init__
    rc = execWithRedirect( cmd[0], cmd[1:] )
  File "/usr/lib/python2.7/site-packages/pylorax/executils.py", line 163, in execWithRedirect
    raise RuntimeError, errstr
RuntimeError: Error running virt-install: No such file or directory


Version-Release number of selected component (if applicable):
lorax-17.26-1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. on a system with python-virtinst package not installed, run following:
livemedia-creator --make-iso --iso live.iso --ks ks.cfg
  
Actual results:
traceback

Expected results:
There should be a warning message describing what is missing, user should not see any traceback.

Note You need to log in before you can comment on or make changes to this bug.